NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.CAE.SelRecipeAttributeStrategy Class Reference

Selection Recipe Attribute Strategy More...

Inheritance diagram for NXOpen.CAE.SelRecipeAttributeStrategy:
NXOpen.CAE.SelRecipeStrategy NXOpen.CAE.SelRecipeBaseStrategy NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void ClearAllAttributes ()
 Clear all attributes More...
 
unsafe bool GetHasUserAttributes (string attributeName)
 Gets the presence of the user attribute with given name. More...
 
unsafe void GetNameAttribute (out string[] names)
 Get the name attribute. More...
 
unsafe void GetUserAttributeNames (out string[] userAttributeNames)
 Gets the names of all set user attributes. More...
 
unsafe void GetUserAttributes (string attributeName, out NXOpen.NXObject.AttributeInformation[] lowValueAttribute, out NXOpen.NXObject.AttributeInformation[] highValueAttribute)
 Gets the low and high value of user attribute with given name. More...
 
unsafe void RemoveColorAttribute ()
 Removes the color attribute. More...
 
unsafe void RemoveNameAttribute ()
 Removes the name attribute. More...
 
unsafe void RemoveUserAttributes (string attributeName)
 Removes the user attribute with given name. More...
 
unsafe void SetColorAttribute (int color)
 Sets or adds the color attribute. More...
 
unsafe void SetNameAttribute (string name)
 Sets or adds the name attribute. More...
 
unsafe void SetNameAttribute (string[] names)
 Sets or adds the name attribute. More...
 
unsafe void SetUserAttributes (string attributeName, NXOpen.NXObject.AttributeInformation[] lowValueAttributes, NXOpen.NXObject.AttributeInformation[] highValueAttributes)
 Sets or adds the low and high value of user attribute with given name. More...
 
unsafe void SetUserAttributes (bool setNameAttribute, string nameAttribute, bool setColorAttribute, int colorAttribute, NXOpen.NXObject.AttributeInformation[] lowValueAttributes, NXOpen.NXObject.AttributeInformation[] highValueAttributes)
 Convenience method to set multiple attributes at once. More...
 
unsafe void SetUserAttributes (bool setNameAttribute, string[] nameAttribute, bool setColorAttribute, int colorAttribute, NXOpen.NXObject.AttributeInformation[] lowValueAttributes, NXOpen.NXObject.AttributeInformation[] highValueAttributes)
 Convenience method to set multiple attributes at once. More...
 

Properties

unsafe int ColorAttribute [get]
 Returns the color attribute. More...
 
unsafe bool HasColorAttribute [get]
 Returns the presence of the color attribute. More...
 
unsafe bool HasNameAttribute [get]
 Returns the presence of the name attribute. More...
 
unsafe string NameAttribute [get]
 Returns the name attribute. More...
 
- Properties inherited from NXOpen.CAE.SelRecipeStrategy
unsafe NXOpen.TaggedObject InputFilter [get, set]
 Returns or sets the input filter More...
 
- Properties inherited from NXOpen.CAE.SelRecipeBaseStrategy
unsafe
NXOpen.CAE.SelRecipeBaseStrategy.Type 
StrategyType [get]
 Returns the strategy type More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.CAE.SelRecipeBaseStrategy
enum  Type {
  Invalid = -1, BoundingVolume, Attribute, LabelRange,
  SingleLabel, Coordinate, Point, Proximity,
  AdjacentFaces, CircularEdges, CylinderFaces, FeatureEdgeNodes,
  FeatureElements, FeatureElementEdges, FeatureElementFaces, FeatureNodes,
  FeatureShellElements, FilletFaces, FilterBodies, FilterEdges,
  FilterElements, FilterFaces, HoleElementEdges, RelatedEdges,
  RelatedElementEdges, RelatedElementFaces, RelatedElements, RelatedCurves,
  RelatedFaces, RelatedNodes, RelatedVertices, SliverFaces,
  SpiderCoreNodes, TangentContinuousEdges, TangentFaces
}
 the strategy type More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Selection Recipe Attribute Strategy

Use the NXOpen.CAE.SelRecipeBuilder class to add strategy.

Created in NX1847.0.0

Member Function Documentation

unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.ClearAllAttributes ( )
inline

Clear all attributes

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SelRecipeAttributeStrategy.GetHasUserAttributes ( string  attributeName)
inline

Gets the presence of the user attribute with given name.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
attributeName
Returns
unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.GetNameAttribute ( out string[]  names)
inline

Get the name attribute.

Created in NX1872.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
names
unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.GetUserAttributeNames ( out string[]  userAttributeNames)
inline

Gets the names of all set user attributes.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
userAttributeNames
unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.GetUserAttributes ( string  attributeName,
out NXOpen.NXObject.AttributeInformation[]  lowValueAttribute,
out NXOpen.NXObject.AttributeInformation[]  highValueAttribute 
)
inline

Gets the low and high value of user attribute with given name.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
attributeName
lowValueAttribute
highValueAttribute
unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.RemoveColorAttribute ( )
inline

Removes the color attribute.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.RemoveNameAttribute ( )
inline

Removes the name attribute.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.RemoveUserAttributes ( string  attributeName)
inline

Removes the user attribute with given name.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
attributeName
unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.SetColorAttribute ( int  color)
inline

Sets or adds the color attribute.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
color
unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.SetNameAttribute ( string  name)
inline

Sets or adds the name attribute.

Created in NX1847.0.0

Deprecated in NX1872.0.0. Use overloadedCAE.SelRecipeAttributeStrategy.SetNameAttribute that sets multiple strings instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
name
unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.SetNameAttribute ( string[]  names)
inline

Sets or adds the name attribute.

Created in NX1872.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
names
unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.SetUserAttributes ( string  attributeName,
NXOpen.NXObject.AttributeInformation[]  lowValueAttributes,
NXOpen.NXObject.AttributeInformation[]  highValueAttributes 
)
inline

Sets or adds the low and high value of user attribute with given name.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
attributeName
lowValueAttributes
highValueAttributes
unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.SetUserAttributes ( bool  setNameAttribute,
string  nameAttribute,
bool  setColorAttribute,
int  colorAttribute,
NXOpen.NXObject.AttributeInformation[]  lowValueAttributes,
NXOpen.NXObject.AttributeInformation[]  highValueAttributes 
)
inline

Convenience method to set multiple attributes at once.

The name and color are optional. It's recommended to use this method in case of setting multiple attributes, to avoid having the recipe resolve multiple times.

Created in NX1847.0.0

Deprecated in NX1872.0.0. Use overloadedCAE.SelRecipeAttributeStrategy.SetUserAttributes that sets multiple name attribute values instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setNameAttribute
nameAttribute
setColorAttribute
colorAttribute
lowValueAttributes
highValueAttributes
unsafe void NXOpen.CAE.SelRecipeAttributeStrategy.SetUserAttributes ( bool  setNameAttribute,
string[]  nameAttribute,
bool  setColorAttribute,
int  colorAttribute,
NXOpen.NXObject.AttributeInformation[]  lowValueAttributes,
NXOpen.NXObject.AttributeInformation[]  highValueAttributes 
)
inline

Convenience method to set multiple attributes at once.

The name and color are optional. It's recommended to use this method in case of setting multiple attributes, to avoid having the recipe resolve multiple times.

Created in NX1872.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setNameAttribute
nameAttribute
setColorAttribute
colorAttribute
lowValueAttributes
highValueAttributes

Property Documentation

unsafe int NXOpen.CAE.SelRecipeAttributeStrategy.ColorAttribute
get

Returns the color attribute.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SelRecipeAttributeStrategy.HasColorAttribute
get

Returns the presence of the color attribute.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SelRecipeAttributeStrategy.HasNameAttribute
get

Returns the presence of the name attribute.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe string NXOpen.CAE.SelRecipeAttributeStrategy.NameAttribute
get

Returns the name attribute.

Created in NX1847.0.0

Deprecated in NX1872.0.0. Use overloadedCAE.SelRecipeAttributeStrategy.GetNameAttribute that returns multiple strings instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.